Package com.google.protobuf

## Class UnknownFieldSet.Field.Builder

- java.lang.Object
- - com.google.protobuf.UnknownFieldSet.Field.Builder

Enclosing class:
  UnknownFieldSet.Field

    public static final class UnknownFieldSet.Field.Builder
    extends java.lang.Object

Used to build a `UnknownFieldSet.Field` within an `UnknownFieldSet`.

Use `UnknownFieldSet.Field.newBuilder()` to construct a `Builder`.

### Method Summary

All Methods Instance Methods Concrete Methods
`UnknownFieldSet.Field.Builder` `addFixed32​(int value)` Add a fixed32 value.
`UnknownFieldSet.Field.Builder` `addFixed64​(long value)` Add a fixed64 value.
`UnknownFieldSet.Field.Builder` `addGroup​(UnknownFieldSet value)` Add an embedded group.
`UnknownFieldSet.Field.Builder` `addLengthDelimited​(ByteString value)` Add a length-delimited value.
`UnknownFieldSet.Field.Builder` `addVarint​(long value)` Add a varint value.
`UnknownFieldSet.Field` `build()` Build the field.
`UnknownFieldSet.Field.Builder` `clear()` Discard the field's contents.
`UnknownFieldSet.Field.Builder` `mergeFrom​(UnknownFieldSet.Field other)` Merge the values in `other` into this field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    public UnknownFieldSet.Field build()

Build the field. After `build()` has been called, the `Builder` is no longer usable. Calling any other method will result in undefined behavior and can cause a `NullPointerException` to be thrown.

#### clear

    public UnknownFieldSet.Field.Builder clear()

Discard the field's contents.

#### mergeFrom

    public UnknownFieldSet.Field.Builder mergeFrom​(UnknownFieldSet.Field other)

Merge the values in `other` into this field. For each list of values, `other`'s values are append to the ones in this field.

#### addVarint

    public UnknownFieldSet.Field.Builder addVarint​(long value)

Add a varint value.

#### addFixed32

    public UnknownFieldSet.Field.Builder addFixed32​(int value)

Add a fixed32 value.

#### addFixed64

    public UnknownFieldSet.Field.Builder addFixed64​(long value)

Add a fixed64 value.

#### addLengthDelimited

    public UnknownFieldSet.Field.Builder addLengthDelimited​(ByteString value)

Add a length-delimited value.

#### addGroup

    public UnknownFieldSet.Field.Builder addGroup​(UnknownFieldSet value)

Add an embedded group.